Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class Operation

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation

Direct Known Subclasses:
  ApplyExtGState, BeginInlineImage, BeginSubpath, BeginText, CloseSubpath, ContentMarker, DrawCurve, DrawLine, DrawRectangle, EndInlineImage, EndMarkedContent, EndText, GenericOperation, InlineImageBody, InlineImageHeader, ModifyClipPath, ModifyCTM, PaintPath, PaintShading, PaintXObject, RestoreGraphicsState, SaveGraphicsState, SetCharSpace, SetFillColor, SetFillColorSpace, SetFont, SetLineCap, SetLineDash, SetLineJoin, SetLineWidth, SetMiterLimit, SetStrokeColor, SetStrokeColorSpace, SetTextLead, SetTextMatrix, SetTextRenderMode, SetTextRise, SetTextScale, SetWordSpace, ShowText, TranslateTextRelative, TranslateTextToNextLine

    @PDF(value=PDF10)
    public abstract class Operation

extends ContentObject

Content stream instruction [PDF:1.6:3.7.1].

Since:
  0.0.2
Version:
  0.1.2, 08/23/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`protected List<PdfDirectObject>` | `operands`
`protected String` | `operator`

Constructor Summary
`protected` | `Operation(String operator)`
`protected` | `Operation(String operator, List<PdfDirectObject> operands)`
`protected` | `Operation(String operator, PdfDirectObject... operands)`
`protected` | `Operation(String operator, PdfDirectObject operand)`

Method Summary
`static Operation` | `get(String operator, List<PdfDirectObject> operands)` Gets an operation.
`List<PdfDirectObject>` | `getOperands()`
`String` | `getOperator()`
`String` | `toString()`
`void` | `writeTo(IOutputStream stream, Document context)` Serializes this object to the specified stream.

Methods inherited from class org.pdfclown.documents.contents.objects.ContentObject
`scan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### operator

    protected String operator

### operands

    protected List<PdfDirectObject> operands

Constructor Detail

### Operation

    protected Operation(String operator)

### Operation

    protected Operation(String operator,
                        PdfDirectObject operand)

### Operation

    protected Operation(String operator,
                        PdfDirectObject... operands)

### Operation

    protected Operation(String operator,
                        List<PdfDirectObject> operands)

Method Detail

### get

    public static Operation get(String operator,
                                List<PdfDirectObject> operands)

  Gets an operation.

  Parameters:
    `operator` - Operator.
    `operands` - List of operands.

### getOperator

    public String getOperator()

### getOperands

    public List<PdfDirectObject> getOperands()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### writeTo

    public void writeTo(IOutputStream stream,
                        Document context)

  Description copied from class: `ContentObject`
  Serializes this object to the specified stream.

  Specified by:
    `writeTo` in class `ContentObject`
  Parameters:
    `stream` - Target stream.
    `context` - Document context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.